.pt-o-test-footer {
  width: 100%;
  height: 5rem;
  position: absolute;
  bottom: 2rem;
  left: 0;
  z-index: 2;
  // transition: margin 0.25s ease-in-out;

  @media only screen and (max-width: 1024px) and (max-aspect-ratio:3999/3000) {
    margin-top: 2rem;
  }

  &__pagination {
    width: calc(100% - 24rem);
    height: 100%;
    position: absolute;
    top: 0;
    left: 47%;
    transform: translateX(-50%);
    display: flex;
    justify-content: center;
    @media only screen and (max-width: 452px) and (max-aspect-ratio:3999/3000) {
      margin-bottom: 0.5rem;
    }
    @media only screen and (max-width: 1199px) {
      left: 42%;
    }
  }

  &__direction {
    min-width: 12rem;
    height: 4.8rem;
    position: absolute;
    right: 0;
    // transition: right 0.25s ease-in-out;
  }

  @media only screen and (max-width: 452px) and (max-aspect-ratio:3999/3000) {
    flex-direction: column;
  }
}

@media only screen and (max-width: 1024px) and (max-aspect-ratio:3999/3000){
  .pt-o-test-footer {
    position: relative;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 5rem;

    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;

    &__pagination {
      width: unset;
      height: unset;
      position: unset;
      top: unset;
      left: unset;
      transform: unset;
    }
    &__direction {
      display: flex;
      justify-content: center;
      min-width: unset;
      height: unset;
      position: unset;
      top: unset;
      right: unset;
    }
  }
}

@include screen-1024-landscape{
  .pt-o-test-footer {
    position: relative;
    width: 100%;
    height: 5rem;
    bottom: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    &__pagination {
      width: unset;
      height: 90%;
      position: relative;
      display: flex;
      justify-content: center;
      top: unset;
      left: unset;
      right: unset;
      transform: unset;
    }
    &__direction {
      position: relative;
      min-width: 12rem;
      height: 90%;
      // transition: right 0.25s ease-in-out;
      display: flex;
      justify-content: center;
      align-items: center;
    }
  }
}
@include screen-960-landscape{
  .pt-o-test-footer {
    position: relative;
    width: 100%;
    height: 4rem;
    bottom: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    &__pagination {
      width: unset;
      height: 96%;
      position: relative;
      display: flex;
      justify-content: center;
      top: unset;
      left: unset;
      right: unset;
      transform: unset;
    }
    &__direction {
      position: relative;
      min-width: 12rem;
      height: 96%;
      // transition: right 0.25s ease-in-out;
      display: flex;
      justify-content: center;
      align-items: center;
    }
  }
}
@media only screen and (max-width: 768px) and (max-aspect-ratio:3999/3000){
  .pt-o-test-footer{
    position: relative;
    height: 8rem;
    bottom: 2rem;

    &__pagination{
      position: relative;
    }
    &__direction{
      position: relative;
    }
  }
}

// @include screen-768-landscape{
//   .pt-o-test-footer {
//     position: relative;
//     width: 100%;
//     height: 4rem;
//     bottom: 0;
//     display: flex;
//     justify-content: center;
//     align-items: center;
//     &__pagination {
//       width: unset;
//       height: 95%;
//       position: relative;
//       display: flex;
//       justify-content: center;
//       top: unset;
//       left: unset;
//       right: unset;
//       transform: unset;
//     }
//     &__direction {
//       position: relative;
//       min-width: 12rem;
//       height: 95%;
//       transition: right 0.25s ease-in-out;
//       display: flex;
//       justify-content: center;
//       align-items: center;
//     }
//   }
// }
